## git-imerge 1.2.0

=== Makefile ===
all:

module := doc/presentations/GitMerge-2013

html: $(module)/talk.html

$(module)/talk.html: $(module)/talk.rst
	rst2s5 --theme=small-white --current-slide $< $@

=== debian/changelog ===
git-imerge (1.2.0-3) unstable; urgency=medium

  * Mark upstream autopkgtest as allow-stderr, it logs to stderr

 -- Paul Wise <pabs@debian.org>  Mon, 26 Oct 2020 07:51:53 +0800

git-imerge (1.2.0-2) unstable; urgency=medium

  * Add missing dependency on git
  * Add autopkgtest that runs the upstream tests

 -- Paul Wise <pabs@debian.org>  Sun, 25 Oct 2020 12:31:56 +0800

git-imerge (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #914230)
  * Thanks to Jessica Clarke for the rough package this is based on.

 -- Paul Wise <pabs@debian.org>  Thu, 08 Oct 2020 14:30:40 +0800

=== debian/control ===
Source: git-imerge
Section: vcs
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-python,
 git <!nocheck>,
 pkg-config,
 python3,
 python3-setuptools,
 tox <!nocheck>,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/mhagger/git-imerge

Package: git-imerge
Architecture: all
Multi-Arch: foreign
Depends:
 git,
 python3,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mergify,
Description: incremental merge and rebase for git
 Performs a merge between two branches incrementally. If conflicts are
 encountered, figures out exactly which pairs of commits conflict, and
 presents the user with one pairwise conflict at a time for resolution.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_TOX=1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream
Restrictions: allow-stderr
Depends:
 @,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\-+\.:\~\da-zA-Z]*)(@ARCHIVE_EXT@)%@PACKAGE@_$1.orig$2%" \
https://github.com/mhagger/git-imerge/tags \
(?:.*?/)?v?(\d[\-+\.:\~\da-zA-Z]*)@ARCHIVE_EXT@
